	//////////////////////////////////////////
	// Headers de ce fichier de "parametres"
	//

FILE=
{
	TYPE=	"BASE TYPE DEFINITION",
	VERSION=	2.0,
	NAME=	"Microsoft Access",
	TARGET ID=	19,
	DATE=	01/20/94
}

	//////////////////////////////////////////
	// Correspondance avec le meta de MRD
	//

FIELDS INTERNAL NUMBER=
{
	NAME=	504,	// Mandatory
	ALIAS=	501,
	CODED_NAME=	505,
	UNIF_VALUE=	522,	// uniformly used (1= TRUE, 0= FALSE)
	LENGTH=	521,
	PICTURE=	520,
	COMMENT=	506,
	LOGICAL_TYPE=	-1,
	MASTER_TYPE=	-2
}
CONCEPTS INTERNAL NUMBER=
{
	DOMAIN=	400,
	PROCEDURE=	24800,
	COLUMN=	20400,
	TABLE=	22500,
	BASE_TYPE=	500,
	INDEX=	21500,
	ACTION=	20000
}

	//////////////////////////////////////////
	// Systeme cible
	//

DATABASE SPECIFICATION=
{
	NAME=	"Microsoft Access 2.0",
	VERSION=	2.0,
	QUERY SEP=	";",
	MAX LEN ID=	18,
	//------------------------
	BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	LENGTH,
	PICTURE,
	UNIF_VALUE
	},
	Yes/No,	Yes/No,	,	,	1,
	BYTE,	BYTE,	,	,	0,
	INTEGER,	INTEGER,	,	,	0,
	LONG,	LONG,	,	,	0,
	CURRENCY,	CURRENCY,	,	,	0,
	SINGLE,	SINGLE,	,	,	0,
	DOUBLE,	DOUBLE,	,	,	0,
	DATE,	DATE,	14,	"DD/MM/YY HH:MM:SS",	1,
	TEXT,	TEXT,	,	,	0,
	LONGBINARY,	LONGBINARY,	,	,	1,
	MEMO,	MEMO,	,	,	1
	}
	//------------------------
	ABBREVIATED BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	LENGTH,
	PICTURE,
	UNIF_VALUE
	},
	BOOLEAN,	BOOLEAN,	,	,	1,
	BYTE,	BYTE,	,	,	0,
	INTEGER,	INTEGER,	,	,	0,
	LONG,	LONG,	,	,	0,
	CURRENCY,	CURRENCY,	,	,	0,
	SINGLE,	SINGLE,	,	,	0,
	DOUBLE,	DOUBLE,	,	,	0,
	DATE,	DATE,	14,	"DD/MM/YY HH:MM:SS",	1,
	TEXT,	TEXT,	,	,	0,
	LONGBINARY,	LONGBINARY,	,	,	1,
	MEMO,	MEMO,	,	,	1
	}
	//------------------------------------------------------------------------
	LOGICAL TYPE MAPPING LIST=
	{
	FILED FIELDS=
	{
	LOGICAL_TYPE,
	NAME
	},
	BYTE,	BYTE,
	MONEY,	CURRENCY,
	"SMALL MONEY",	CURRENCY,
	DATE,	DATE,
	"DATE TIME",	DATE,
	TIME,	DATE,
	TIMESTAMP,	DATE,
	"SMALL DATE TIME",	DATE,
	INTERVAL,	DATE,
	"DOUBLE PRECISION",	DOUBLE,
	FLOAT,	DOUBLE,
	"SMALL FLOAT",	DOUBLE,
	NUMERIC,	DOUBLE,
	INTEGER,	INTEGER,
	"SMALL INTEGER",	INTEGER,
	ROWID,	INTEGER,
	"LONG INTEGER",	INTEGER,
	"LONG VARCHAR",	MEMO,
	"VARIABLE CHARACTER",	MEMO,
	TEXT,	MEMO,
	NVARCHAR,	MEMO,
	"LARGE VARBINARY",	LONGBINARY,
	BINARY,	LONGBINARY,
	"VARIABLE BINARY",	LONGBINARY,
	REAL,	SINGLE,
	DECIMAL,	SINGLE,
	CHARACTER,	TEXT,
	NCHAR,	TEXT,
	BOOLEAN,	BOOLEAN,
	BIT,	BOOLEAN
	}
	//---------------------------------------------------------------------------------------------------------------------
	TYPE ALIAS LIST=
	{
	FILED FIELDS=
	{
	MASTER_TYPE,
	NAME
	},
	}
	//------------------------------------------------------------------------
	USER FIELD LIST=
	// concept	user fields	def val	type	domain of valid values
	{//-------      ------------  -------	----	-----	-----------------
	DOMAIN,	"Format",	,	-,	{},
	DOMAIN,	"Validation Text",	,	-,	{},
	DOMAIN,	"Allow Zero Length",	,	-,	{},
	COLUMN,	"Format",	,	-,	{},
	COLUMN,	"Input Mask",	,	-,	{},
	COLUMN,	"Default Value",	,	-,	{},
	COLUMN,	"Validation Text",	,	-,	{},
	COLUMN,	"Validation Rule",	,	-,	{},
	COLUMN,	"Allow Zero Length",	,	_,	{},
	TABLE,	"Validation Rule",	,	_,	{},
	TABLE,	"Validation Text",	,	_,	{}
	}
}


TEMPLATE DEFINTION=
{
}

