	//////////////////////////////////////////
	// Headers de ce fichier de "parametres"
	//

FILE=
{
	TYPE=	"BASE TYPE DEFINITION",
	VERSION=	7.0,
	NAME=	ORACLE7,
	TARGET ID=	23,
	DATE=	11/30/93
}

	//////////////////////////////////////////
	// Correspondance avec le meta de MRD
	//

FIELDS INTERNAL NUMBER=
{
	NAME=	504,	// Mandatory
	ALIAS=	501,
	CODED_NAME=	505,
	UNIF_VALUE=	522,	// uniformly used (1=TRUE, 0=FALSE)
	LENGTH=	521,
	PICTURE=	520,
	COMMENT=	506,
	LIT_QUOTED=	0,	// litteral value is quoted (Boolean)
	PRECISION=	0,
	SCALE=	0,
	LOGICAL_TYPE=	-1,
	MASTER_TYPE=	-2
}

CONCEPTS INTERNAL NUMBER=
{
	DOMAIN=	400,
	PROCEDURE=	24800,
	COLUMN=	20400,
	TABLE=	22500,
	BASE_TYPE=	500,
	INDEX=	21500,
	ACTION=	20000
}

	//////////////////////////////////////////
	// Systeme cible
	//

DATABASE SPECIFICATION=
{
	NAME=	Oracle,
	VERSION=	7,
	QUERY SEP=	";",
	MAX LEN ID=	30,
	//------------------------
	BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE,
	LIT_QUOTED,
	PRECISION,
	SCALE
	},
	CHAR,	CHAR,	0,	1,	1,	0,
	CHARACTER,	CHARACTER,	0,	1,	1,	0,
	FLOAT,	FLOAT,	0,	0,	0,	0,
	NUMBER,	NUMBER,	0,	0,	1,	1,
	NUMERIC,	NUMERIC,	0,	0,	1,	1,
	DECIMAL,	DECIMAL,	0,	0,	1,	1,
	DEC,	DEC,	0,	0,	1,	1,
	LONG,	LONG,	0,	0,	0,	0,
	"LONG VARCHAR",	"LONG VARCHAR",	0,	0,	0,	0,
	INTEGER,	INTEGER,	0,	0,	1,	1,
	INT,	INT,	0,	0,	1,	1,
	SMALLINT,	SMALLINT,	0,	0,	1,	1,
	"DOUBLE PRECISION",	"DOUBLE PRECISION",	0,	0,	1,	1,
	REAL,	REAL,	0,	0,	1,	1,
	"LONG RAW",	"LONG RAW",	0,	0,	0,	0,
	RAW,	RAW,	0,	0,	1,	0,
	VARCHAR,	VARCHAR,	0,	1,	1,	0,
	VARCHAR2,	VARCHAR2,	0,	1,	1,	0,
	"CHARACTER VARYING",	"CHARACTER VARYING",	0,	1,	1,	0,
	"CHAR VARYING",	"CHAR VARYING",	0,	1,	1,	0,
	DATE,	DATE,	0,	1,	0,	0,
	ROWID,	ROWID,	0,	1,	1,	0

	}
	//------------------------
	ABBREVIATED BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE,
	LIT_QUOTED,
	PRECISION,
	SCALE
	},
	CHAR,	CHAR,	0,	1,	1,	0,
	FLOAT,	FLOAT,	0,	0,	0,	0,
	NUMBER,	NUMBER,	0,	0,	1,	1,
	NUMERIC,	NUMERIC,	0,	0,	1,	1,
	DEC,	DEC,	0,	0,	1,	1,
	LONG,	LONG,	0,	0,	0,	0,
	INT,	INT,	0,	0,	1,	1,
	SMALLINT,	SMALLINT,	0,	0,	1,	1,
	"DOUBLE PRECISION",	"DOUBLE PRECISION",	0,	0,	1,	1,
	REAL,	REAL,	0,	0,	1,	1,
	"LONG RAW",	"LONG RAW",	0,	0,	0,	0,
	RAW,	RAW,	0,	0,	1,	0,
	VARCHAR,	VARCHAR,	0,	1,	1,	0,
	VARCHAR2,	VARCHAR2,	0,	1,	1,	0,
	DATE,	DATE,	0,	1,	0,	0,
	ROWID,	ROWID,	0,	1,	1,	0
	}
	//------------------------------------------------------------------------
	LOGICAL TYPE MAPPING LIST=
	{
	FILED FIELDS=
	{
	LOGICAL_TYPE,
	NAME
	},
	"DOUBLE PRECISION",	"DOUBLE PRECISION",
	"LARGE VARBINARY",	"LONG RAW",
	"LONG VARCHAR",	"LONG VARCHAR",
	CHARACTER,	CHAR,
	CHARACTER,	CHARACTER,
	NCHAR,	CHAR,
	DATE,	DATE,
	TIME,	DATE,
	TIMESTAMP,	DATE,
	"DATE TIME",	DATE,
	"SMALL DATE TIME",	DATE,
	INTERVAL,	DATE,
	DECIMAL,	DEC,
	DECIMAL,	DECIMAL,
	FLOAT,	FLOAT,
	INTEGER,	INT,
	INTEGER,	INTEGER,
	"LONG INTEGER",	INTEGER,
	"LONG VARCHAR",	LONG,
	TEXT,	LONG,
	NUMERIC,	NUMBER,
	NUMERIC,	NUMERIC,
	"SMALL FLOAT",	NUMBER,
	MONEY,	NUMBER,
	"SMALL MONEY",	NUMBER,
	"VARIABLE BINARY",	RAW,
	BINARY,	RAW,
	REAL,	REAL,
	ROWID,	ROWID,
	"SMALL INTEGER",	SMALLINT,
	BIT,	SMALLINT,
	BOOLEAN,	SMALLINT,
	BYTE,	SMALLINT,
	"VARIABLE CHARACTER",	VARCHAR,
	"VARIABLE CHARACTER",	"CHARACTER VARYING",
	"VARIABLE CHARACTER",	"CHAR VARYING",
	"VARIABLE CHARACTER",	VARCHAR2,
	NVARCHAR,	VARCHAR
	}
	//---------------------------------------------------------------------------------------------------------------------
	TYPE ALIAS LIST=
	{
	FILED FIELDS=
	{
	MASTER_TYPE,
	NAME
	},
	CHAR,	CHARACTER,
	NUMBER,	NUMERIC,
	NUMBER,	DECIMAL,
	NUMBER,	DEC,
	NUMBER,	REAL,
	VARCHAR,	"CHARACTER VARYING",
	VARCHAR,	"CHAR VARYING",
	LONG,	"LONG VARCHAR"
	}
	//---------------------------------------------------------------------------------------------------------------------
	USER FIELD LIST=
	// concept	user fields	def val	type	domain of valid values
	{//-------      ------------  -------	----     ----------------------
	COLUMN,	"CHECK_NAME",	,	-,	{}
	}
}

TEMPLATE DEFINTION=
{
}
