	//////////////////////////////////////////
	// Headers de ce fichier de "parametres"
	//

FILE=
{
	TYPE=	"BASE TYPE DEFINITION",
	VERSION=	"6.3",
	NAME=	"Progress",
	TARGET ID=	40,
	DATE=	"22/04/94"
}

	//////////////////////////////////////////
	// Correspondance avec le meta de MRD
	//

FIELDS INTERNAL NUMBER=
{
	NAME=	504,	// Mandatory
	ALIAS=	501,
	CODED_NAME=	505,
	UNIF_VALUE=	522,	// uniformly used (1= TRUE, 0= FALSE)
	LENGTH=	521,
	PICTURE=	520,
	COMMENT=	506,
	PRECISION=	0,	// precision is mandatory for this type
	SCALE=	0,	// scale is mandatory for this type
	LIT_QUOTED=	0,	// litteral value is quoted (Boolean)
	LOGICAL_TYPE=	-1,
	MASTER_TYPE=	-2
}

CONCEPTS INTERNAL NUMBER=
{
	DOMAIN=	400,
	PROCEDURE=	24800,
	COLUMN=	20400,
	TABLE=	22500,
	BASE_TYPE=	500,
	INDEX=	21500,
	ACTION=	20000,
	ACTION_CAT=	24300,
	REPRESENT=	2100,
	COLUMN_ACTION = 24400
}

	//////////////////////////////////////////
	// Systeme cible
	//

DATABASE SPECIFICATION=
{
	NAME=	"Progress",
	VERSION=	"6.3",
	QUERY SEP=	" ",
	MAX LEN ID=	30,
	//------------------------
	BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE,
	LIT_QUOTED,
	PRECISION,
	SCALE

	},
	Character,	Char,	0,	1,	1,	0,
	Date,	Date,	1,	1,	0,	0,
	Decimal,	Dec,	0,	0,	0,	0,
	Integer,	Int,	0,	0,	0,	0,
	Recid,	Recid,	0,	0,	0,	0,
	Logical,	Logic,	0,	0,	0,	0
	}
	//------------------------
	ABBREVIATED BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,	CODED_NAME,	UNIF_VALUE, LIT_QUOTED, PRECISION, SCALE
	},
	Char,	Char,	0,	1,	0,	0,
	Date,	Date,	1,	1,	0,	0,
	Dec,	Dec,	0,	0,	0,	0,
	Int,	Int,	0,	0,	0,	0,
	Recid,	Recid,	0,	0,	0,	0,
	Logic,	Logic,	0,	0,	0,	0
	}
	//------------------------------------------------------------------------
	LOGICAL TYPE MAPPING LIST=
	{
	FILED FIELDS=
	{
	LOGICAL_TYPE,
	NAME
	},
	CHARACTER,	Char,
	CHARACTER,	Character,
	"VARIABLE CHARACTER",	Char,
	"LONG VARCHAR",	Char,
	TEXT,	Char,
	NCHAR,	Char,
	NVARCHAR,	Char,
	BINARY,	Char,
	"VARIABLE BINARY",	Char,
	"LARGE VARBINARY",	Char,
	DATE,	Date,
	TIME,	Date,
	TIMESTAMP,	Date,
	"DATE TIME",	Date,
	"SMALL DATE TIME",	Date,
	INTERVAL,	Date,
	DECIMAL,	Decimal,
	DECIMAL,	Dec,
	FLOAT,	Decimal,
	REAL,	Decimal,
	"DOUBLE PRECISION",	Decimal,
	"SMALL FLOAT",	Decimal,
	NUMERIC,	Decimal,
	MONEY,	Decimal,
	"SMALL MONEY",	Decimal,
	INTEGER,	Int,
	INTEGER,	Integer,
	"LONG INTEGER",	Integer,
	"SMALL INTEGER",	Integer,
	BYTE,	Integer,
	BOOLEAN,	Logical,
	BOOLEAN,	Logic,
	BIT,	Logical,
	ROWID,	Recid
	}
	//---------------------------------------------------------------------------------------------------------------------
	TYPE ALIAS LIST=
	{
	FILED FIELDS=
	{
	MASTER_TYPE,
	NAME
	},
	}
	//------------------------------------------------------------------------
	// concept	user fields	def val
	//--------------------------------------------------------------------------
	USER FIELD LIST=
	{
	TABLE,	"VALMSG",	,	,	{},
	TABLE,	"LABEL",	,	,	{},
	TABLE,	"CAN-WRITE",	,	,	{},
	TABLE,	"CAN-READ",	,	,	{},
	TABLE,	"CAN-DELETE",	,	,	{},
	TABLE,	"CAN-CREATE",	,	,	{},
	COLUMN,	"VALMSG",	,	,	{},
	COLUMN,	"VALEXP",	,	,	{},
	COLUMN,	"HELP",	,	,	{},
	COLUMN,	"COLUMN-LABEL",	,	,	{},
	COLUMN,	"LABEL",	,	,	{},
	COLUMN,	"CAN-READ",	,	,	{},
	COLUMN,	"CAN-WRITE",	,	,	{},
	COLUMN,	"EXTENT",	,	,	{},
	PROCEDURE,	"INITIAL",	,	,	{},
	PROCEDURE,	"INCREMENT",	,	,	{},
	PROCEDURE,	"CYCLE-ON-LIMIT",	,	,	{},
	PROCEDURE,	"MAX-VAL",	,	,	{}
	}
}

TEMPLATE DEFINTION=
{
}
