	//////////////////////////////////////////
	// Headers de ce fichier de "parametres"
	//

FILE=
{
	TYPE=	"BASE TYPE DEFINITION",
	VERSION=	10.0,
	NAME=	"Sybase",
	TARGET ID=	29,
	DATE=	02/07/94
}

	//////////////////////////////////////////
	// Correspondance avec le meta de MRD
	//

FIELDS INTERNAL NUMBER=
{
	NAME=	504,	// Mandatory
	ALIAS=	501,
	CODED_NAME=	505,
	UNIF_VALUE=	522,	// uniformly used (1=	TRUE, 0= FALSE)
	LENGTH=	521,
	PICTURE=	520,
	COMMENT=	506,
	PRECISION=	0,	// precision is mandatory for this type
	SCALE=	0,	// scale is mandatory for this type
	LIT_QUOTED=	0,	// litteral value is quoted (Boolean)
	LOGICAL_TYPE=	-1,
	MASTER_TYPE=	-2
}

CONCEPTS INTERNAL NUMBER=
{
	DATABASE= 26900,
	DOMAIN=	400,
	COLUMN=	20400,
	DEVICE= 26600,
	INDEX=	21500,
	PROCEDURE=	24800,
	TABLE=	22500,
	BASE_TYPE=	500,
	ACTION=	20000,
	CONSTRAINT=	20100,
	DIRECTION= 21100,
	REPRESENT=	2100
}

	//////////////////////////////////////////
	// Systeme cible
	//

DATABASE SPECIFICATION=
{
	NAME=	"SYBASE SYSTEM10",
	VERSION=	,
	QUERY SEP=	"go",
	MAX LEN ID=	30,
	//------------------------
	BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE,
	LIT_QUOTED,
	PRECISION,
	SCALE
	},
	binary,	binary,	0,	0,	0,	0,
	bit,	bit,	0,	0,	0,	0,
	char,	char,	0,	1,	0,	0,
	datetime,	datetime,	0,	1,	0,	0,
	decimal,	decimal,	0,	1,	0,	0,
	float,	float,	0,	1,	0,	0,
	"double precision",	"double precision",	0,	1,	0,	0,
	image,	image,	0,	1,	0,	0,
	int,	int,	0,	1,	0,	0,
	money,	money,	0,	1,	0,	0,
	nchar,	nchar,	0,	1,	0,	0,
	numeric,	numeric,	0,	1,	0,	0,
	nvarchar,	nvarchar,	0,	1,	0,	0,
	real,	real,	0,	1,	0,	0,
	smalldatetime,	smalldatetime,	0,	1,	0,	0,
	smallint,	smallint,	0,	1,	0,	0,
	smallmoney,	smallmoney,	0,	1,	0,	0,
	timestamp,	timestamp,	0,	1,	0,	0,
	text,	text,	0,	1,	0,	0,
	tinyint,	tinyint,	0,	1,	0,	0,
	varbinary,	varbinary,	0,	1,	0,	0,
	varchar,	varchar,	0,	1,	0,	0
	}
	//------------------------
	ABBREVIATED BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE,
	LIT_QUOTED,
	PRECISION,
	SCALE
	},
	binary,	binary,	0,	0,	0,	0,
	bit,	bit,	0,	0,	0,	0,
	char,	char,	0,	1,	0,	0,
	datetime,	datetime,	0,	1,	0,	0,
	decimal,	decimal,	0,	1,	0,	0,
	float,	float,	0,	1,	0,	0,
	"double precision",	"double precision",	0,	1,	0,	0,
	image,	image,	0,	1,	0,	0,
	int,	int,	0,	1,	0,	0,
	money,	money,	0,	1,	0,	0,
	nchar,	nchar,	0,	1,	0,	0,
	numeric,	numeric,	0,	1,	0,	0,
	nvarchar,	nvarchar,	0,	1,	0,	0,
	real,	real,	0,	1,	0,	0,
	smalldatetime,	smalldatetime,	0,	1,	0,	0,
	smallint,	smallint,	0,	1,	0,	0,
	smallmoney,	smallmoney,	0,	1,	0,	0,
	timestamp,	timestamp,	0,	1,	0,	0,
	text,	text,	0,	1,	0,	0,
	tinyint,	tinyint,	0,	1,	0,	0,
	varbinary,	varbinary,	0,	1,	0,	0,
	varchar,	varchar,	0,	1,	0,	0
	}
	//------------------------------------------------------------------------
	//------------------------------------------------------------------------
	LOGICAL TYPE MAPPING LIST=
	{
	FILED FIELDS=
	{
	LOGICAL_TYPE,
	NAME
	},
	"DOUBLE PRECISION",	"double precision",
	BINARY,	binary,
	BIT,	bit,
	BOOLEAN,	bit,
	CHARACTER,	char,
	"DATE TIME",	datetime,
	DATE,	datetime,
	TIME,	datetime,
	INTERVAL,	datetime,
	DECIMAL,	decimal,
	FLOAT,	float,
	"SMALL FLOAT",	float,
	FLOAT,	floatn,
	"LARGE VARBINARY",	image,
	"VARIABLE BINARY",	varbinary,
	INTEGER,	int,
	"LONG INTEGER",	int,
	ROWID,	int,
	MONEY,	money,
	NCHAR,	nchar,
	NUMERIC,	numeric,
	NVARCHAR,	nvarchar,
	REAL,	real,
	"SMALL DATE TIME",	smalldatetime,
	"SMALL INTEGER",	smallint,
	"SMALL MONEY",	smallmoney,
	TEXT,	text,
	"VARIABLE CHARACTER",	varchar,
	"LONG VARCHAR",	text,
	TIMESTAMP,	timestamp,
	BYTE,	tinyint
	}
	//------------------------------------------------------------------------
	TYPE ALIAS LIST=
	{
	FILED FIELDS=
	{
	MASTER_TYPE,
	NAME
	},
	}
	//------------------------------------------------------------------------

	USER FIELD LIST=
	// concept	user fields	     def val   type	domain of valid values
	{//-------  -----------      -------   ---- ----------------------
	DATABASE,	"FOR LOAD",				,	-,	{},
	DOMAIN,		"DEFAULT NAME",			,	-,	{},
	DOMAIN,		"RULE NAME",			,	-,	{},
	DOMAIN,		"DEFAULT FUTURE ONLY",	,	-,	{},
	DOMAIN,		"RULE FUTURE ONLY",		,	-,	{},
	COLUMN,		"DEFAULT NAME",			,	-,	{},
	CONSTRAINT,	"ERROR MESSAGE",		,	_,	{},
	CONSTRAINT,	"ERROR NUMBER",			,	_,	{}
	}
}

TEMPLATE DEFINTION=
{
}
