	//////////////////////////////////////////
	// Headers de ce fichier de "parametres"
	//

FILE=
{
	TYPE=	"BASE TYPE DEFINITION",
	VERSION=	6.1,
	NAME=	"Uniface",
	TARGET ID=	38,
	DATE=	06/01/97
}

	//////////////////////////////////////////
	// Correspondance avec le meta de MRD
	//

FIELDS INTERNAL NUMBER=
{
	NAME=	504,	// Mandatory
	ALIAS=	501,
	CODED_NAME=	505,
	UNIF_VALUE=	522,	// uniformly used
	LENGTH=	521,
	PICTURE=	520,
	COMMENT=	506,
	PRECISION=	0,	// precision is mandatory for this type
	SCALE=	0,	// scale is mandatory for this type
	LIT_QUOTED=	0,	// litteral value is quoted (Boolean)
	LOGICAL_TYPE=	-1,
	MASTER_TYPE=	-2
}

CONCEPTS INTERNAL NUMBER=
{
	DOMAIN=	400,
	PROCEDURE=	24800,
	COLUMN=	20400,
	TABLE=	22500,
	BASE_TYPE=	500,
	INDEX=	21500,
	ACTION=	20000,
	COMBINATION	= 20500,
	CONNECTOR=	20800
}

	//////////////////////////////////////////
	// Systeme cible
	//

DATABASE SPECIFICATION=
{
	NAME=	UNIFACE,
	VERSION=	6.1,
	QUERY SEP=	";",
	MAX LEN ID=	18,

//------------------------

BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE,
	LIT_QUOTED,
	PRECISION,
	SCALE
	},
	String,	S,	0,	0,	0,	0,
	"Special String",	SS,	0,	0,	0,	0,
	"Raw Data",	R,	0,	0,	0,	0,
	Numeric,	N,	0,	0,	0,	0,
	"Floating Decimal Point",	F,	0,	0,	0,	0,
	Date,	D,	0,	0,	0,	0,
	Time,	T,	0,	0,	0,	0,
	"Combined Date and Time",	E,	0,	0,	0,	0,
	Boolean,	B,	0,	0,	0,	0,
	Image,	I,	0,	0,	0,	0,
	"Linear Date",	LD,	0,	0,	0,	0,
	"Linear Date and Time",	LE,	0,	0,	0,	0,
	"Linear Time",	LT,	0,	0,	0,	0
	}

//------------------------

	ABBREVIATED BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE,
	LIT_QUOTED,
	PRECISION,
	SCALE
	},
	String,	S,	0,	0,	0,	0,
	"Special String",	SS,	0,	0,	0,	0,
	"Raw Data",	R,	0,	0,	0,	0,
	Numeric,	N,	0,	0,	0,	0,
	"Floating Decimal Point",	F,	0,	0,	0,	0,
	Date,	D,	0,	0,	0,	0,
	Time,	T,	0,	0,	0,	0,
	"Combined Date and Time",	E,	0,	0,	0,	0,
	Boolean,	B,	0,	0,	0,	0,
	Image,	I,	0,	0,	0,	0,
	"Linear Date",	LD,	0,	0,	0,	0,
	"Linear Date and Time",	LE,	0,	0,	0,	0,
	"Linear Time",	LT,	0,	0,	0,	0
	}

	//------------------------------------------------------------------------
	LOGICAL TYPE MAPPING LIST=
	{
	FILED FIELDS=
	{
	LOGICAL_TYPE,
	NAME
	},
	"DATE TIME",	"Combined date and time",
	TIMESTAMP,	"Combined date and time",
	"SMALL DATE TIME",	"Combined date and time",
	INTERVAL,	"Combined date and time",
	FLOAT,	"Floating Decimal Point",
	"LONG INTEGER",	"Floating Decimal Point",
	DECIMAL,	"Floating Decimal Point",
	REAL,	"Floating Decimal Point",
	"DOUBLE PRECISION",	"Floating Decimal Point",
	"SMALL FLOAT",	"Floating Decimal Point",
	"DATE TIME",	"Linear Date and Time",
	DATE,	Date,
	DATE,	"Linear Date",
	TIME,	Time,
	TIME,	"Linear Time",
	BINARY,	"Raw Data",
	"VARIABLE CHARACTER",	"Special String",
	BOOLEAN,	Boolean,
	BIT,	Boolean,
	"LARGE VARBINARY",	Image,
	"VARIABLE BINARY",	Image,
	NUMERIC,	Numeric,
	INTEGER,	Numeric,
	"SMALL INTEGER",	Numeric,
	BYTE,	Numeric,
	MONEY,	Numeric,
	"SMALL MONEY",	Numeric,
	ROWID,	Numeric,
	"VARIABLE CHARACTER",	String,
	CHARACTER,	String,
	"LONG VARCHAR",	String,
	TEXT,	String,
	NCHAR,	String,
	NVARCHAR,	String
	}
	//------------------------------------------------------------------------
	TYPE ALIAS LIST=
	{
	FILED FIELDS=
	{
	MASTER_TYPE,
	NAME
	},
	}
//------------------------------------------------------------------------

	USER FIELD LIST=

	// concept	user fields						def val		type	domain of valid values
	//-------	------------					-------		----	----------------------
	{
		DOMAIN,		"EXTENSION ON NAME? (Y/N)",,			-,		{},
		DOMAIN,		"EXTENSION ON CODED NAME? (Y/N)",,		-,		{},
		DOMAIN,		"EXTENSION ON ALIAS? (Y/N)",,			-,		{},
		DOMAIN,		"SYNTAX FORMAT", 			,			-,		{},
		DOMAIN,		"PACKING CODE", 			,			-,		{},
		DOMAIN,		"IN DATABASE? (Y/N/X/B)",  	,			-,		{},
		DOMAIN,		"WIDGET TYPE",  			,			-,		{},
		DOMAIN,		"WIDGET PROPERTIES",  		,			-,		{},
		DOMAIN,		"VALUE REPRESENTATION LIST",,			-,		{},
		DOMAIN,		"INITIAL VALUE",  			,			-,		{},
		DOMAIN,		"TEMPLATE TYPE",  			,			-,		{},
		TABLE,		"EXTENSION ON ALIAS? (Y/N)",,			-,		{},
		TABLE,		"SUBTYPE NAMES",			,			-,		{},
		TABLE,		"DBMS USED",				,			-,		{},
		TABLE,		"MAY BE MODIFIED? (Y/N/O)",	,			-,		{},
		TABLE,		"MINIMUM OCCURRENCES",		,			-,		{},
		TABLE,		"INTERFACE FORMAT",			,			-,		{},
		TABLE,		"IN DATABASE? (Y/N)",  		,			-,		{},
		COLUMN,		"EXTENSION ON ALIAS? (Y/N)",,			-,		{},
		COLUMN,		"EXTENSION ON NAME? (Y/N)",,			-,		{},
		COLUMN,		"LAYOUT FORMAT",  			,			-,		{},
		COLUMN,		"SYNTAX FORMAT",			,			-,		{},
		COLUMN,		"PACKING CODE",				,			-,		{},
		COLUMN,		"IN DATABASE? (Y/N/X/B)",  	,			-,		{},
		COLUMN,		"WIDGET TYPE",  			,			-,		{},
		COLUMN,		"WIDGET PROPERTIES",  		,			-,		{},
		COLUMN,		"VALUE REPRESENTATION LIST",,			-,		{},
		COLUMN,		"INITIAL VALUE",  			,			-,		{},
		CONNECTOR,	"EXTENSION ON ALIAS? (Y/N)",,			-,		{},
		CONNECTOR,	"PARENT/CHILD ENTITY NAMES",,			-,		{},
		CONNECTOR,	"REFERENTIAL INTEGRITY? (Y/N)",,		-,		{},
		INDEX,		"EXTENSION ON ALIAS? (Y/N)",,			-,		{},
		COMBINATION,"EXTENSION ON ALIAS? (Y/N)",,			-,		{}
	}
}

TEMPLATE DEFINTION=
{
}

