	//////////////////////////////////////////
	// Headers de ce fichier de paramtres
	//

FILE=
{
	TYPE=	"BASE TYPE DEFINITION",
	VERSION=	4.0,
	NAME=	"DB2 MVS",
	TARGET ID=	49,
	DATE=	11/08/94
}

	//////////////////////////////////////////
	// Correspondance avec le mta de MRD
	//

FIELDS INTERNAL NUMBER=
{	
	NAME=	504,	// Mandatory
	ALIAS=	501,
	CODED_NAME=	505,
	UNIF_VALUE=	522,	// uniformly used (1= TRUE, 0= FALSE)
	LENGTH=	521,
	PICTURE=	520,
	COMMENT=	506,
	LIT_QUOTED=	0,	// litteral value is quoted (Boolean)
	PRECISION=	0,
	SCALE=	0,
	LOGICAL_TYPE=	-1,
	MASTER_TYPE=	-2
}

CONCEPTS INTERNAL NUMBER=
{
	DOMAIN=	400,
	PROCEDURE=	24800,
	COLUMN=	20400,
	TABLE=	22500,
	BASE_TYPE=	500,
	INDEX=	21500,
	ACTION=	20000,
	DATABASE= 26900
}

	//////////////////////////////////////////
	// Systme cible
	//

DATABASE SPECIFICATION=
{
	NAME=	DB2,
	VERSION=	2.3 &3,
	QUERY SEP=	";",
	MAX LEN ID=	18,
	//------------------------
	BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE,
	LIT_QUOTED,
	PRECISION,
	SCALE
	},
	CHAR,	CHAR,	0,	1,	1,	0,
	CHARACTER,	CHARACTER,	0,	1,	1,	0,
	"CHAR VARYING",	"CHAR VARYING",	0,	1,	1,	0,
	"CHARACTER VARYING",	"CHARACTER VARYING",	0,	1,	1,	0,
	DATE,	DATE,	0,	1,	0,	0,
	DEC,	DEC,	0,	0,	1,	1,
	DECIMAL,	DECIMAL,	0,	0,	1,	1,
	DOUBLE,	DOUBLE,	0,	0,	0,	0,
	"DOUBLE PRECISION",	"DOUBLE PRECISION",	0,	0,	0,	0,
	FLOAT,	FLOAT,	0,	0,	1,	0,
	GRAPHIC,	GRAPHIC,	0,	0,	1,	0,
	INT,	INT,	0,	0,	0,	0,
	INTEGER,	INTEGER,	0,	0,	0,	0,
	"LONG VARCHAR",	"LONG VARCHAR",	0,	1,	0,	0,
	"LONG VARGRAPHIC",	"LONG VARGRAPHIC",	0,	0,	0,	0,
	NUMERIC,	NUMERIC,	0,	0,	1,	1,
	REAL,	REAL,	0,	0,	0,	0,
	SMALLINT,	SMALLINT,	0,	0,	0,	0,
	TIME,	TIME,	0,	0,	0,	0,
	TIMESTAMP,	TIMESTAMP,	0,	0,	0,	0,
	VARCHAR,	VARCHAR,	0,	1,	1,	0,
	VARGRAPHIC,	VARGRAPHIC,	0,	1,	1,	0
	}
	//------------------------
	ABBREVIATED BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE,
	LIT_QUOTED,
	PRECISION,
	SCALE
	},
	CHAR,	CHAR,	0,	1,	1,	0,
	CHARACTER,	CHARACTER,	0,	1,	1,	0,
	"CHAR VARYING",	"CHAR VARYING",	0,	1,	1,	0,
	"CHARACTER VARYING",	"CHARACTER VARYING",	0,	1,	1,	0,
	DATE,	DATE,	0,	1,	0,	0,
	DEC,	DEC,	0,	0,	1,	1,
	DECIMAL,	DECIMAL,	0,	0,	1,	1,
	DOUBLE,	DOUBLE,	0,	0,	0,	0,
	"DOUBLE PRECISION",	"DOUBLE PRECISION",	0,	0,	0,	0,
	FLOAT,	FLOAT,	0,	0,	1,	0,
	GRAPHIC,	GRAPHIC,	0,	0,	1,	0,
	INT,	INT,	0,	0,	0,	0,
	INTEGER,	INTEGER,	0,	0,	0,	0,
	"LONG VARCHAR",	"LONG VARCHAR",	0,	1,	0,	0,
	"LONG VARGRAPHIC",	"LONG VARGRAPHIC",	0,	0,	0,	0,
	NUMERIC,	NUMERIC,	0,	0,	1,	1,
	REAL,	REAL,	0,	0,	0,	0,
	SMALLINT,	SMALLINT,	0,	0,	0,	0,
	TIME,	TIME,	0,	0,	0,	0,
	TIMESTAMP,	TIMESTAMP,	0,	0,	0,	0,
	VARCHAR,	VARCHAR,	0,	1,	1,	0,
	VARGRAPHIC,	VARGRAPHIC,	0,	1,	1,	0
	}
	//------------------------------------------------------------------------
	LOGICAL TYPE MAPPING LIST=
	{
	FILED FIELDS=
	{
	LOGICAL_TYPE,
	NAME
	},
	"DOUBLE PRECISION",	"DOUBLE PRECISION",
	"LONG VARCHAR",	"LONG VARCHAR",
	TEXT,	"LONG VARCHAR",
	"LARGE VARBINARY",	"LONG VARGRAPHIC",
	CHARACTER,	 CHAR,
	NCHAR,	CHAR,
	CHARACTER,	CHARACTER,
	DATE,	DATE,
	"DATE TIME",	DATE,
	"SMALL DATE TIME",	DATE,
	INTERVAL,	DATE,
	DECIMAL,	DEC,
	DECIMAL,	DECIMAL,
	MONEY,	DECIMAL,
	"SMALL MONEY",	DECIMAL,
	FLOAT,	FLOAT,
	"SMALL FLOAT",	FLOAT,
	BINARY,	GRAPHIC,
	INTEGER,	INT,
	INTEGER,	INTEGER,
	ROWID,	INTEGER,
	"LONG INTEGER",	INTEGER,
	NUMERIC,	NUMERIC,
	REAL,	REAL,
	"SMALL INTEGER",	SMALLINT,
	BIT,	SMALLINT,
	BOOLEAN,	SMALLINT,
	BYTE,	SMALLINT,
	TIME,	TIME,
	TIMESTAMP,	TIMESTAMP,
	"VARIABLE CHARACTER",	VARCHAR,
	NVARCHAR,	VARCHAR,
	"VARIABLE BINARY",	VARGRAPHIC
	}
	//------------------------------------------------------------------------
	TYPE ALIAS LIST=
	{
	FILED FIELDS=
	{
	MASTER_TYPE,
	NAME
	},
	}
	//------------------------------------------------------------------------
	USER FIELD LIST=
	//    concept	user fields	def val	type	domain of valid values
	{//   -------	------------	-------	----	----------------------
	TABLE,			"SYNONYMS (authorization_id.name, ...)",	,	-,	{},	
	TABLE,			"LAST ALTERED",					,	-,	{},
	TABLE,			"CREATED",						,	-,	{},
	TABLE,			"TABLE OWNER",					,	-,	{},
	INDEX,			"INDEX OWNER",					,	-,	{},
	DATABASE,			"DATABASE OWNER",  				,	-,	{}
	}
}
	//------------------------------------------------------------------------
TEMPLATE DEFINTION=
{
}
	
