	//////////////////////////////////////////
	// Headers of this parameters file
	//

FILE=
{
	TYPE=	"BASE TYPE DEFINITION",
	VERSION=	7.1,
	NAME=	Informix-OL,
	TARGET ID=	33,
	DATE=	09/02/94
}

	//////////////////////////////////////////
	// Correspondance with RDM meta
	//

FIELDS INTERNAL NUMBER=
{
	NAME=	504,	// Mandatory
	ALIAS=	501,
	CODED_NAME=	505,
	UNIF_VALUE=	522,	// uniformly used (1= TRUE, 0= FALSE)
	LENGTH=	521,
	PICTURE=	520,
	COMMENT=	506,
	LOGICAL_TYPE=	-1,
	MASTER_TYPE=	-2
}
CONCEPTS INTERNAL NUMBER=
{
	DOMAIN=	400,
	PROCEDURE=	24800,
	COLUMN=	20400,
	TABLE=	22500,
	BASE_TYPE=	500,
	INDEX=	21500,
	ACTION=	20000,
	REPRESENT=	2100
}

	//////////////////////////////////////////
	// Target system
	//

DATABASE SPECIFICATION=
{
	NAME=	Informix OL,
	VERSION=	,
	QUERY SEP=	";",
	MAX LEN ID=	18,
	//------------------------ FOR INFORMIX OL
	BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE
	},
	BYTE,	BYTE,	0,
	CHARACTER,	CHARACTER,	0,
	"CHARACTER VARYING",	"CHARACTER VARYING",	0,
	CHAR,	CHAR,	0,
	DATE,	DATE,	0,
	DATETIME ,	DATETIME,	0,
	DECIMAL,	DECIMAL,	0,
	DEC,	DEC,	0,
	"DOUBLE PRECISION",	"DOUBLE PRECISION",	0,
	FLOAT,	FLOAT,	0,
	INTEGER,	INTEGER,	0,
	INT,	INT,	0,
	INTERVAL,	INTERVAL,	0,
	MONEY,	MONEY,	0,
	NUMERIC,	NUMERIC,	0,
	NCHAR,	NCHAR,	0,
	NVARCHAR,	NVARCHAR,	0,
	REAL,	REAL,	0,
	SERIAL,	SERIAL,	0,
	SMALLFLOAT,	SMALLFLOAT,	0,
	SMALLINT,	SMALLINT,	0,
	TEXT,	TEXT,	0,
	VARCHAR,	VARCHAR,	0
	}
	ABBREVIATED BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE
	},
	BYTE,	BYTE,	0,
	CHARACTER,	CHARACTER,	0,
	"CHARACTER VARYING",	"CHARACTER VARYING",	0,
	CHAR,	CHAR,	0,
	DATE,	DATE,	0,
	DATETIME ,	DATETIME,	0,
	DECIMAL,	DECIMAL,	0,
	DEC,	DEC,	0,
	"DOUBLE PRECISION",	"DOUBLE PRECISION",	0,
	FLOAT,	FLOAT,	0,
	INTEGER,	INTEGER,	0,
	INT,	INT,	0,
	INTERVAL,	INTERVAL,	0,
	MONEY,	MONEY,	0,
	NUMERIC,	NUMERIC,	0,
	NCHAR,	NCHAR,	0,
	NVARCHAR,	NVARCHAR,	0,
	REAL,	REAL,	0,
	SERIAL,	SERIAL,	0,
	SMALLFLOAT,	SMALLFLOAT,	0,
	SMALLINT,	SMALLINT,	0,
	TEXT,	TEXT,	0,
	VARCHAR,	VARCHAR,	0
	}
	//------------------------------------------------------------------------
	LOGICAL TYPE MAPPING LIST=
	{
	FILED FIELDS=
	{
	LOGICAL_TYPE,
	NAME
	},
	"VARIABLE CHARACTER",	"CHARACTER VARYING",
	"DOUBLE PRECISION",	"DOUBLE PRECISION",
	BINARY,	BYTE,
	"VARIABLE BINARY",	BYTE,
	"LARGE VARBINARY",	BYTE,
	CHARACTER,	CHAR,
	CHARACTER,	CHARACTER,
	DATE,	DATE,
	"DATE TIME",	DATETIME,
	TIME,	DATETIME,
	TIMESTAMP,	DATETIME,
	"SMALL DATE TIME",	DATETIME,
	DECIMAL,	DEC,
	DECIMAL,	DECIMAL,
	FLOAT,	FLOAT,
	INTEGER,	INT,
	INTEGER,	INTEGER,
	INTERVAL,	INTERVAL,
	"LONG INTEGER",	INT,
	MONEY,	MONEY,
	"SMALL MONEY",	MONEY,
	NCHAR,	NCHAR,
	NUMERIC,	NUMERIC,
	NVARCHAR,	NVARCHAR,
	REAL,	REAL,
	ROWID,	SERIAL,
	"SMALL FLOAT",	SMALLFLOAT,
	"SMALL INTEGER",	SMALLINT,
	BIT,	SMALLINT,
	BOOLEAN,	SMALLINT,
	BYTE,	SMALLINT,
	"LONG VARCHAR",	TEXT,
	TEXT,	TEXT,
	"VARIABLE CHARACTER",	VARCHAR
	}
	//---------------------------------------------------------------------------------------------------------------------
	TYPE ALIAS LIST=
	{
	FILED FIELDS=
	{
	MASTER_TYPE,
	NAME
	},
	DEC, DECIMAL,
	DEC, NUMERIC,
	INT, INTEGER,
	FLOAT, "DOUBLE PRECISION",
	SMALLFLOAT, REAL,
	CHAR, CHARACTER,
	VARCHAR, "CHARACTER VARYING"
	}
	//------------------------------------------------------------------------
	USER FIELD LIST=
	// concept	user fields	 def val	type	domain of valid values
	{//-------      ------------  -------	----     ----------------------
	COLUMN,	"SR CHECK NAME",	,	,	{}
	}
}

TEMPLATE DEFINTION=
{
}

