	//////////////////////////////////////////
	// Headers de ce fichier de "parametres"
	//

FILE=
{
	TYPE=	"BASE TYPE DEFINITION",
	VERSION=	6.4,
	NAME=	"Ingres",
	TARGET ID=	3,
	DATE=	08/18/93
}

	//////////////////////////////////////////
	// Correspondance avec le meta de MRD
	//

FIELDS INTERNAL NUMBER=
{
	NAME=	504,	// Mandatory
	ALIAS=	501,
	CODED_NAME=	505,
	UNIF_VALUE=	522,	// uniformly used (1=TRUE, 0=FALSE)
	LENGTH=	521,
	PICTURE=	520,
	COMMENT=	506,
	PRECISION=	0,
	SCALE=	0,
	LOGICAL_TYPE=	-1,
	MASTER_TYPE=	-2
}
CONCEPTS INTERNAL NUMBER=
{
	DOMAIN=	400,
	PROCEDURE=	24800,
	COLUMN=	20400,
	TABLE=	22500,
	BASE_TYPE=	500,
	INDEX=	21500,
	ACTION=	20000,
	REPRESENT=	2100,
	CONSTRAINT=	20100
}

	//////////////////////////////////////////
	// Systeme cible
	//

DATABASE SPECIFICATION=
{
	NAME=	"Ingres",
	VERSION=	,
	QUERY SEP=	";",
	MAX LEN ID=	24,
	//------------------------
	BASE TYPE LIST =
	{
	FILED FIELDS =
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE,
	PRECISION,
	SCALE
	},
	C,	C,	0,	0,	0,
	CHAR,	CHAR,	0,	0,	0,
	CHARACTER,	CHARACTER,	0,	0,	0,
	TEXT,	TEXT,	0,	0,	0,
	VARCHAR,	VARCHAR,	0,	0,	0,
	INTEGER,	INTEGER,	0,	0,	0,
	INTEGER4,	INTEGER4,	0,	0,	0,
	SMALLINT,	SMALLINT,	0,	0,	0,
	INTEGER2,	INTEGER2,	0,	0,	0,
	INTEGER1,	INTEGER1,	0,	0,	0,
	FLOAT,	FLOAT,	0,	0,	0,
	FLOAT8,	FLOAT8,	0,	0,	0,
	FLOAT4,	FLOAT4,	0,	0,	0,
	REAL,	REAL,	0,	0,	0,
	DATE,	DATE,	0,	0,	0,
	MONEY,	MONEY,	0,	0,	0,
	OBJECT_KEY,	OBJECT_KEY,	0,	0,	0,
	TABLE_KEY,	TABLE_KEY,	0,	0,	0
	}
	//------------------------
	ABBREVIATED BASE TYPE LIST =
	{
	FILED FIELDS =
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE,
	PRECISION,
	SCALE
	},
	C,	C,	0,	0,	0,
	CHAR,	CHAR,	0,	0,	0,
	CHARACTER,	CHARACTER,	0,	0,	0,
	TEXT,	TEXT,	0,	0,	0,
	VARCHAR,	VARCHAR,	0,	0,	0,
	INTEGER,	INTEGER,	0,	0,	0,
	INTEGER4,	INTEGER4,	0,	0,	0,
	SMALLINT,	SMALLINT,	0,	0,	0,
	INTEGER2,	INTEGER2,	0,	0,	0,
	INTEGER1,	INTEGER1,	0,	0,	0,
	FLOAT,	FLOAT,	0,	0,	0,
	FLOAT8,	FLOAT8,	0,	0,	0,
	FLOAT4,	FLOAT4,	0,	0,	0,
	REAL,	REAL,	0,	0,	0,
	DATE,	DATE,	0,	0,	0,
	MONEY,	MONEY,	0,	0,	0,
	OBJECT_KEY,	OBJECT_KEY,	0,	0,	0,
	TABLE_KEY,	TABLE_KEY,	0,	0,	0
	}
	//------------------------------------------------------------------------
	LOGICAL TYPE MAPPING LIST=
	{
	FILED FIELDS=
	{
	LOGICAL_TYPE,
	NAME
	},
	CHARACTER,	C,
	CHARACTER,	CHAR,
	NCHAR,	CHAR,
	CHARACTER,	CHARACTER,
	DATE,	DATE,
	TIME,	DATE,
	TIMESTAMP,	DATE,
	"DATE TIME",	DATE,
	"SMALL DATE TIME",	DATE,
	INTERVAL,	DATE,
	FLOAT,	FLOAT,
	NUMERIC,	FLOAT,
	DECIMAL,	FLOAT,
	"SMALL FLOAT",	FLOAT,
	REAL,	FLOAT4,
	"DOUBLE PRECISION",	FLOAT8,
	INTEGER,	INTEGER,
	"LONG INTEGER",	INTEGER,
	BYTE,	INTEGER1,
	BIT,	INTEGER1,
	BOOLEAN,	INTEGER1,
	"SMALL INTEGER",	INTEGER2,
	INTEGER,	INTEGER4,
	MONEY,	MONEY,
	"SMALL MONEY",	MONEY,
	REAL,	REAL,
	"SMALL INTEGER",	SMALLINT,
	ROWID,	TABLE_KEY,
	TEXT,	TEXT,
	"LONG VARCHAR",	TEXT,
	"VARIABLE CHARACTER",	VARCHAR,
	NVARCHAR,	VARCHAR,
	BINARY,	VARCHAR,
	"VARIABLE BINARY",	VARCHAR,
	"LARGE VARBINARY",	VARCHAR
	}
	//---------------------------------------------------------------------------------------------------------------------
	TYPE ALIAS LIST=
	{
	FILED FIELDS=
	{
	MASTER_TYPE,
	NAME
	},
	}
	//---------------------------------------------------------------------------------------------------------------------
	USER FIELD LIST =
	// concept		user fields	  def val	type	 domain of valid values
	{//-------      ------------  -------	----     ----------------------
	TABLE,	"DUPLICATES",	,	-,	{},
	INDEX,	"KEY",	,	-,	{}
}
}

TEMPLATE DEFINTION=
{
}

