	//////////////////////////////////////////
	// Headers de ce fichier de "parametres"
	//

FILE=
{
	TYPE=	"BASE TYPE DEFINITION",
	VERSION=	1.0,
	NAME=	"NonStop SQL",
	TARGET ID=	14,
	DATE=	08/18/93
}

	//////////////////////////////////////////
	// Correspondance avec le meta de MRD
	//

FIELDS INTERNAL NUMBER=
{
	NAME=	504,	// Mandatory
	ALIAS=	501,
	CODED_NAME=	505,
	UNIF_VALUE=	522,	// uniformly used (1=TRUE, 0=FALSE)
	LENGTH=	521,
	PICTURE=	520,
	COMMENT=	506,
	LOGICAL_TYPE=	-1,
	MASTER_TYPE=	-2
}
CONCEPTS INTERNAL NUMBER=
{
	DOMAIN=	400,
	PROCEDURE=	24800,
	COLUMN=	20400,
	TABLE=	22500,
	BASE_TYPE=	500,
	INDEX=	21500,
	ACTION=	20000
}

	//////////////////////////////////////////
	// Systeme cible
	//

DATABASE SPECIFICATION=
{
	NAME=	"NonStop SQL",
	VERSION=	,
	QUERY SEP=	";",
	MAX LEN ID=	18,
	//------------------------
	BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE
	},
	CHAR,	CHAR,	0,
	CHARACTER,	CHARACTER,	0,
	VARCHAR,	VARCHAR,	0,
	VARCHARACTER,	VARCHARACTER,	0,
	NUMERIC,	NUMERIC,	0,
	DEC,	DEC,	0,
	DECIMAL,	DECIMAL,	0,
	INT,	INT,	1,
	INTEGER,	INTEGER,	1,
	SMALLINT,	SMALLINT,	1,
	LARGEINT,	LARGEINT,	1,
	FLOAT,	FLOAT,	0,
	REAL,	REAL,	1,
	"DOUBLE PRECISION",	"DOUBLE PRECISION",	1,
	DATE,	DATE,	1,
	TIME,	TIME,	1,
	TIMESTAMP,	TIMESTAMP,	1
	}
	//------------------------
	ABBREVIATED BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	ALIAS,
	UNIF_VALUE
	},
	CHAR,	CHAR,	CHARACTER,	0,
	VARCHAR,	VARCHAR,	VARCHARACTER,	0,
	NUMERIC,	NUMERIC,	,	0,
	DEC,	DEC,	DECIMAL,	0,
	INT,	INT,	INTEGER,	1,
	SMALLINT,	SMALLINT,	,	1,
	LARGEINT,	LARGEINT,	,	1,
	FLOAT,	FLOAT,	,	0,
	REAL,	REAL,	,	1,
	"DOUBLE PRECISION",	"DOUBLE PRECISION",	,	1,
	DATE,	DATE,	,	1,
	TIME,	TIME,	,	1,
	TIMESTAMP,	TIMESTAMP,	,	1

	}
	//------------------------------------------------------------------------
	LOGICAL TYPE MAPPING LIST=
	{
	FILED FIELDS=
	{
	LOGICAL_TYPE,
	NAME
	},
	"VARIABLE CHARACTER",	VARCHAR,
	"DOUBLE PRECISION",	"DOUBLE PRECISION",
	CHARACTER,	CHAR,
	NCHAR,	CHAR,
	CHARACTER,	CHARACTER,
	DATE,	DATE,
	INTERVAL,	DATE,
	DECIMAL,	DEC,
	DECIMAL,	DECIMAL,
	MONEY,	DECIMAL,
	"SMALL MONEY",	DECIMAL,
	FLOAT,	FLOAT,
	"SMALL FLOAT",	FLOAT,
	INTEGER,	INT,
	INTEGER,	INTEGER,
	ROWID,	INTEGER,
	"LONG INTEGER",	LARGEINT,
	NUMERIC,	NUMERIC,
	REAL,	REAL,
	"SMALL INTEGER",	SMALLINT,
	BIT,	SMALLINT,
	BOOLEAN,	SMALLINT,
	BYTE,	SMALLINT,
	TIME,	TIME,
	TIMESTAMP,	TIMESTAMP,
	"DATE TIME",	TIMESTAMP,
	"SMALL DATE TIME",	TIMESTAMP,
	"VARIABLE CHARACTER",	VARCHAR,
	"LONG VARCHAR",	VARCHAR,
	TEXT,	VARCHAR,
	NVARCHAR,	VARCHAR,
	BINARY,	VARCHAR,
	"VARIABLE BINARY",	VARCHAR,
	"LARGE VARBINARY",	VARCHAR
	}
	//---------------------------------------------------------------------------------------------------------------------
	TYPE ALIAS LIST=
	{
	FILED FIELDS=
	{
	MASTER_TYPE,
	NAME
	},
	}
	//---------------------------------------------------------------------------------------------------------------------
	USER FIELD LIST=
	// concept	user fields	def val	type	domain of valid values
	{//-------      ------------  -------	----     ----------------------
	}
}

TEMPLATE DEFINTION=
{
}

