	//////////////////////////////////////////
	// Headers de ce fichier de "parametres"
	//

FILE=
{
	TYPE=	"BASE TYPE DEFINITION",
	VERSION=	1.0,
	NAME=	SQLBase,
	TARGET ID=	15,
	DATE=	08/18/93
}

	//////////////////////////////////////////
	// Correspondance avec le meta de MRD
	//

FIELDS INTERNAL NUMBER=
{
	NAME=	504,	// Mandatory
	ALIAS=	501,
	CODED_NAME=	505,
	UNIF_VALUE=	522,	// uniformly used (1=TRUE, 0=FALSE)
	LENGTH=	521,
	PICTURE=	520,
	COMMENT=	506,
	LOGICAL_TYPE=	-1,
	MASTER_TYPE=	-2
}
CONCEPTS INTERNAL NUMBER=
{
	DOMAIN=	400,
	PROCEDURE=	24800,
	COLUMN=	20400,
	TABLE=	22500,
	BASE_TYPE=	500,
	INDEX=	21500,
	ACTION=	20000
}

	//////////////////////////////////////////
	// Systeme cible
	//

DATABASE SPECIFICATION=
{
	NAME=	SQLBase,
	VERSION=	,
	QUERY SEP=	";",
	MAX LEN ID=	18,
	//------------------------
	BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE
	},
	CHAR,	CHAR,	0,
	NUMBER,	NUMBER,	1,
	DECIMAL,	DECIMAL,	0,
	INTEGER,	INTEGER,	1,
	SMALLINT,	SMALLINT,	1,
	FLOAT,	FLOAT,	0,
	REAL,	REAL,	1,
	"DOUBLE PRECISION",	"DOUBLE PRECISION",	1,
	VARCHAR,	VARCHAR,	0,
	"LONG VARCHAR",	"LONG VARCHAR",	1,
	DATE,	DATE,	1,
	TIME,	TIME,	1,
	TIMESTAMP,	TIMESTAMP,	1,
	DATETIME,	DATETIME,	1
	}
	//------------------------
	ABBREVIATED BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	ALIAS,
	UNIF_VALUE
	},	
	CHAR,	CHAR,	,	0,
	NUMBER,	NUMBER,	,	1,
	DEC,	DEC,	DECIMAL,	0,
	INT,	INT,	INTEGER,	1,
	SMALLINT,	SMALLINT,	,	1,
	FLOAT,	FLOAT,	,	0,
	REAL,	REAL,	,	1,
	"DOUBLE PRECISION", "DOUBLE PRECISION",	,	1,
	VARCHAR,	VARCHAR,	,	0,
	LONG,	LONG,	"LONG VARCHAR",	1,
	DATE,	DATE,	,	1,
	TIME,	TIME,	,	1,
	TIMESTAMP,	TIMESTAMP,	,	1,
	DATETIME,	DATETIME,	,	1

	}
	//------------------------------------------------------------------------
	LOGICAL TYPE MAPPING LIST=
	{
	FILED FIELDS=
	{
	LOGICAL_TYPE,
	NAME
	},
	"DOUBLE PRECISION",	"DOUBLE PRECISION",
	CHARACTER,	CHAR,
	NCHAR,	CHAR,
	DATE,	DATE,
	INTERVAL,	DATE,
	"DATE TIME",	DATETIME,
	"SMALL DATE TIME",	DATETIME,
	DECIMAL,	DECIMAL,
	DECIMAL,	DEC,
	MONEY,	DECIMAL,
	"SMALL MONEY",	DECIMAL,
	FLOAT,	FLOAT,
	"SMALL FLOAT",	FLOAT,
	INTEGER,	INTEGER,
	INTEGER,	INT,
	"LONG INTEGER",	INTEGER,
	ROWID,	INTEGER,
	"LONG VARCHAR",	"LONG VARCHAR",
	TEXT,	"LONG VARCHAR",
	NUMERIC,	NUMBER,
	REAL,	REAL,
	"SMALL INTEGER",	SMALLINT,
	BIT,	SMALLINT,
	BOOLEAN,	SMALLINT,
	BYTE,	SMALLINT,
	TIME,	TIME,
	TIMESTAMP,	TIMESTAMP,
	"VARIABLE CHARACTER",	VARCHAR,
	NVARCHAR,	VARCHAR,
	BINARY,	VARCHAR,
	"VARIABLE BINARY",	VARCHAR,
	"LARGE VARBINARY",	VARCHAR
	}
	//---------------------------------------------------------------------------------------------------------------------
	TYPE ALIAS LIST=
	{
	FILED FIELDS=
	{
	MASTER_TYPE,
	NAME
	},
	}
	//---------------------------------------------------------------------------------------------------------------------
	USER FIELD LIST=
	// concept	user fields	def val	type	domain of valid values
	{//-------      ------------  -------	----     ----------------------
	}
}

TEMPLATE DEFINTION=
{
}

