	//////////////////////////////////////////
	// Headers de ce fichier de "parametres"
	//

FILE=
{
	TYPE=	"BASE TYPE DEFINITION",
	VERSION=	"2E",
	NAME=	"Synon",
	TARGET ID=	16,
	DATE=	11/01/93
}

	//////////////////////////////////////////
	// Correspondance avec le meta de MRD
	//

FIELDS INTERNAL NUMBER=
{
	NAME=	504,	// Mandatory
	ALIAS=	501,
	CODED_NAME=	505,
	UNIF_VALUE=	522,	// uniformly used
	LENGTH=	521,
	PICTURE=	520,
	COMMENT=	506,
	NB_DECIM=	-1001,	// nb of decimal
	DATA_TYPE=	-1000,
	LOGICAL_TYPE=	-1,
	MASTER_TYPE=	-2
}
CONCEPTS INTERNAL NUMBER=
{
	DOMAIN=	400,
	PROCEDURE=	24800,
	COLUMN=	20400,
	TABLE=	22500,
	BASE_TYPE=	500,
	INDEX=	21500,
	ACTION=	20000
}

	//////////////////////////////////////////
	// Systeme cible
	//

DATABASE SPECIFICATION=
{
	NAME=	Synon/2E,
	VERSION=	,
	QUERY SEP=	";",
	MAX LEN ID=	18,
	//------------------------
	BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE,
	LENGTH,
	NB_DECIM,
	PICTURE
	},
	Code,	Code,	0,	 6,	,	,
	"Date in *ISO format",	"Date in *ISO format",	1,	10,	0,	"'  /  /  '",
	Date,	Date,	1,	7,	0,	"'  /  /  '",
	"Ideographic Text",	"Ideographic Text",	0,	20,	,	,
	"Narrative Text",	"Narrative Text",	0,	30,	,	,
	Number,	Number,	0,	5,	0,	"'    0'"   ,
	Percentage,	Percentage,	0,	 5,	2,	"'  0.  '",
	"Price or Tariff",	"Price or Tariff",	0,	7,	2,	"'    0.  '",
	Quantity,	Quantity,	0,	5,	0,	"'  0.  '",
	Status,	Status,	0,	1,	,	,
	"Time in *ISO format",	"Time in *ISO format",	1,	8,	0,	"'  :  :  '",
	Time,	Time,	1,	6,	0,	"'  :  :  '",
	Timestamp, 	Timestamp,	1,	26,	0,	"'  /  /    /  :  :  '",
	"Descriptive Name",	"Descriptive Name",	0,	25,	,	,
	"Monetary Value",	"Monetary Value",	0,	11,	2,	"'      0.  CR'",
	"Valid System Name",	"Valid System Name",	0,	10,	,	
	}
	//------------------------
	ABBREVIATED BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	DATA_TYPE,
	ALIAS,
	UNIF_VALUE,
	LENGTH,
	NB_DECIM,
	PICTURE
	},
	CDE,	CDE,	CHA,	Code,	0,	6,	,	,
	DT#,	DT#,	CHA,	"Date in *ISO format",	1,	10,	0,	"'  /  /  '",
	DTE,	DTE,	PACF,	Date,	1,	7,	0,	"'  /  /  '",
	IGC,	IGC,	MIX,	"Ideographic Text",	0,	20,	,	,
	NAR,	NAR,	CHA,	"Narrative Text",	0,	30,	,	,
	NBR,	NBR,	PACF,	Number,	0,	5,	0,	"'    0'"   ,
	PCT,	PCT,	PACF,	Percentage,	0,	5,	2,	"'  0.  '",
	PRC,	PRC,	PACF,	"Price or Tariff",	0,	7,	2,	"'    0.  '",
	QTY,	QTY,	PACF,	Quantity,	0,	5,	0,	"'  0.  '",
	STS,	STS,	CHA,	Status,	0,	1,	,	,
	TM#,	TM#,	CHA,	"Time in *ISO format",	1,	8,	0,	"'  :  :  '",
	TME,	TME,	PACF,	Time,	1,	6,	0,	"'  :  :  '",
	TS#,	TS#,	CHA,	Timestamp,	1,	26,	0,	"'  /  /    /  :  :  '",
	TXT,	TXT,	CHA,	"Descriptive Name",	0,	25,	,	,
	VAL,	VAL,	PACF,	"Monetary Value",	0,	11,	2,	"'      0.  CR'",
	VNM,	VNM,	CHA,	"Valid System Name",	0,	10,	,	
	}
	//------------------------------------------------------------------------
	LOGICAL TYPE MAPPING LIST=
	{
	FILED FIELDS=
	{
	LOGICAL_TYPE,
	NAME
	},
	CHARACTER,	TXT,
	CHARACTER,	VNM,
	CHARACTER,	CDE,
	NCHAR,	TXT,
	"VARIABLE CHARACTER",	NAR,
	"LONG VARCHAR",	NAR,
	TEXT,	NAR,
	NVARCHAR,	NAR,
	BINARY,	IGC,
	"VARIABLE BINARY",	IGC,
	"LARGE VARBINARY",	IGC,
	TIMESTAMP,	TS#,
	"DATE TIME",	TS#,
	"SMALL DATE TIME",	TS#,
	INTERVAL,	TS#,
	"SMALL MONEY",	VAL,
	MONEY,	VAL,
	DECIMAL,	PRC,
	DECIMAL,	PCT,
	DATE,	DTE,
	DATE,	DT#,
	TIME,	TME,
	TIME,	TM#,
	NUMERIC,	NBR,
	NUMERIC,	QTY,
	INTEGER,	NBR,
	"LONG INTEGER",	NBR,
	"SMALL INTEGER",	NBR,
	BYTE,	NBR,
	REAL,	NBR,
	FLOAT,	NBR,
	"DOUBLE PRECISION",	NBR,
	"SMALL FLOAT",	NBR,
	ROWID,	NBR,
	BOOLEAN,	STS,
	BIT,	STS
	}
	//---------------------------------------------------------------------------------------------------------------------
	TYPE ALIAS LIST=
	{
	FILED FIELDS=
	{
	MASTER_TYPE,
	NAME
	},
	}
	//---------------------------------------------------------------------------------------------------------------------
	USER FIELD LIST=
	// concept	user fields	def val	type	domain of valid values
	{//-------      ------------  -------	----     ----------------------
	}
}

TEMPLATE DEFINTION=
{
}

