	//////////////////////////////////////////
	// Headers de ce fichier de "parametres"
	//

FILE=
{
	TYPE=	"BASE TYPE DEFINITION",
	VERSION=	1.0,
	NAME=	Teradata,
	TARGET ID=	12,
	DATE=	08/18/93
}

	//////////////////////////////////////////
	// Correspondance avec le meta de MRD
	//

FIELDS INTERNAL NUMBER=
{
	NAME=	504,	// Mandatory
	ALIAS=	501,
	CODED_NAME=	505,
	UNIF_VALUE=	522,	// uniformly used (1=TRUE, 0=FALSE)
	LENGTH=	521,
	PICTURE=	520,
	COMMENT=	506,
	LOGICAL_TYPE=	-1,
	MASTER_TYPE=	-2
}
CONCEPTS INTERNAL NUMBER=
{
	DOMAIN=	400,
	PROCEDURE=	24800,
	COLUMN=	20400,
	TABLE=	22500,
	BASE_TYPE=	500,
	INDEX=	21500,
	ACTION=	20000
}

	//////////////////////////////////////////
	// Systeme cible
	//

DATABASE SPECIFICATION=
{
	NAME=	Teradata,
	VERSION=	,
	QUERY SEP=	";",
	MAX LEN ID=	18,
	//------------------------
	BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE
	},
	BYTE,	BYTE,	0,
	BYTEINT,	BYTEINT,	1,
	CHAR,	CHAR,	0,
	DATE,	DATE,	1,
	DECIMAL,	DECIMAL,	0,
	FLOAT,	FLOAT,	1,
	INTEGER,	INTEGER,	1,
	"LONG VARCHAR", "LONG VARCHAR",	1,
	SMALLINT,	SMALLINT,	1,
	VARBYTE,	VARBYTE,	0,
	VARCHAR,	VARCHAR,	0
	}
	//------------------------
	ABBREVIATED BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE
	},
	BYTE,	BYTE,	0,
	BYTEINT,	BYTEINT,	1,
	CHAR,	CHAR,	0,
	DATE,	DATE,	1,
	DECIMAL,	DEC,	0,
	FLOAT,	FLOAT,	1,
	INT,	INT,	1,
	"LONG VARCHAR",	"LONG VARCHAR",	1,
	SMALLINT,	SMALLINT,	1,
	VARBYTE,	VARBYTE,	0,
	VARCHAR,	VARCHAR,	0
	}
	//------------------------------------------------------------------------
	LOGICAL TYPE MAPPING LIST=
	{
	FILED FIELDS=
	{
	LOGICAL_TYPE,
	NAME
	},
	TEXT,	"LONG VARCHAR",
	BINARY,	"LONG VARCHAR",
	"VARIABLE BINARY",	"LONG VARCHAR",
	"LARGE VARBINARY",	"LONG VARCHAR",
	BYTE,	BYTEINT,
	CHARACTER,	CHAR,
	NCHAR,	CHAR,
	DATE,	DATE,
	TIME,	DATE,
	TIMESTAMP,	DATE,
	"DATE TIME",	DATE,
	"SMALL DATE TIME",	DATE,
	INTERVAL,	DATE,
	DECIMAL,	DECIMAL,
	MONEY,	DECIMAL,
	"SMALL MONEY",	DECIMAL,
	FLOAT,	FLOAT,
	REAL,	FLOAT,
	"DOUBLE PRECISION",	FLOAT,
	"SMALL FLOAT",	FLOAT,
	NUMERIC,	FLOAT,
	INTEGER,	INT,
	INTEGER,	INTEGER,
	"LONG INTEGER",	INT,
	ROWID,	INT,
	"LONG VARCHAR",	"LONG VARCHAR",
	"SMALL INTEGER",	SMALLINT,
	BIT,	SMALLINT,
	BOOLEAN,	SMALLINT,
	"VARIABLE CHARACTER",	VARCHAR,
	NVARCHAR,	VARCHAR
	}
	//---------------------------------------------------------------------------------------------------------------------
	TYPE ALIAS LIST=
	{
	FILED FIELDS=
	{
	MASTER_TYPE,
	NAME
	},
	}
	//---------------------------------------------------------------------------------------------------------------------
	USER FIELD LIST=
	// concept	user fields	  def val	type	 domain of valid values
	{//-------      ------------  -------	----     ----------------------
	}
}

TEMPLATE DEFINTION=
{
}

