	//////////////////////////////////////////
	// Headers de ce fichier de "parametres"
	//

FILE=
{
	TYPE=	"BASE TYPE DEFINITION",
	VERSION=	4.0,
	NAME=	Watcom,
	TARGET ID=	37,
	DATE=	11/30/93
}

	//////////////////////////////////////////
	// Correspondance avec le meta de MRD
	//

FIELDS INTERNAL NUMBER=
{
	NAME=	504,	// Mandatory
	ALIAS=	501,
	CODED_NAME=	505,
	UNIF_VALUE=	522,	// uniformly used (1=TRUE, 0=FALSE)
	LENGTH=	521,
	PICTURE=	520,
	COMMENT=	506,
	LIT_QUOTED=	0,	// litteral value is quoted (Boolean)
	PRECISION=	0,
	SCALE=	0,
	LOGICAL_TYPE=	-1,
	MASTER_TYPE=	-2
}

CONCEPTS INTERNAL NUMBER=
{
	DOMAIN=	400,
	PROCEDURE=	24800,
	COLUMN=	20400,
	TABLE=	22500,
	BASE_TYPE=	500,
	INDEX=	21500,
	ACTION=	20000
}

	//////////////////////////////////////////
	// Systeme cible
	//

DATABASE SPECIFICATION=
{
	NAME=	Watcom,
	VERSION=	4.0,
	QUERY SEP=	";",
	MAX LEN ID=	30,
	//------------------------
	BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE,
	LIT_QUOTED,
	PRECISION,
	SCALE
	},
	BINARY,	BINARY,	0,	0,	1,	0,
	CHAR,		CHAR,	0,	1,	1,	0,
	DATE,	DATE,	0,	0,	0,	0,
	DECIMAL,	DECIMAL,	0,	0,	1,	1,
	DOUBLE,	DOUBLE,	0,	0,	0,	0,
	FLOAT,	FLOAT,	0,	0,	0,	0,
	INT,	INT,	0,	0,	0,	0,
	INTEGER,	INTEGER,	0,	0,	0,	0,
	"LONG BINARY",	"LONG BINARY",	0,	0,	0,	0,
	"LONG VARCHAR",	"LONG VARCHAR",	0,	1,	0,	0,
	NUMERIC,	NUMERIC,	0,	0,	1,	1,
	REAL,	REAL,	0,	0,	0,	0,
	SMALLINT,	SMALLINT,	0,	0,	0,	0,
	TIME,	TIME,	0,	0,	0,	0,
	TIMESTAMP,	TIMESTAMP,	0,	0,	0,	0,
	VARCHAR,	VARCHAR,	0,	1,	1,	0

	}
	//------------------------
	ABBREVIATED BASE TYPE LIST=
	{
	FILED FIELDS=
	{
	NAME,
	CODED_NAME,
	UNIF_VALUE,
	LIT_QUOTED,
	PRECISION,
	SCALE
	},
	BINARY,	BINARY,	0,	0,	1,	0,
	CHAR,		CHAR,	0,	1,	1,	0,
	DATE,	DATE,	0,	0,	0,	0,
	DECIMAL,	DECIMAL,	0,	0,	1,	1,
	DOUBLE,	DOUBLE,	0,	0,	0,	0,
	FLOAT,	FLOAT,	0,	0,	0,	0,
	INT,	INT,	0,	0,	0,	0,
	INTEGER,	INTEGER,	0,	0,	0,	0,
	"LONG BINARY",	"LONG BINARY",	0,	0,	0,	0,
	"LONG VARCHAR",	"LONG VARCHAR",	0,	1,	0,	0,
	NUMERIC,	NUMERIC,	0,	0,	1,	1,
	REAL,	REAL,	0,	0,	0,	0,
	SMALLINT,	SMALLINT,	0,	0,	0,	0,
	TIME,	TIME,	0,	0,	0,	0,
	TIMESTAMP,	TIMESTAMP,	0,	0,	0,	0,
	VARCHAR,	VARCHAR,	0,	1,	1,	0
	}
	//------------------------------------------------------------------------
	LOGICAL TYPE MAPPING LIST=
	{
	FILED FIELDS=
	{
	LOGICAL_TYPE,
	NAME
	},
	BOOLEAN,	SMALLINT,
	BIT,	SMALLINT,
	CHARACTER,	CHAR,
	"VARIABLE CHARACTER",	CHARACTER, 
	"LONG VARCHAR",	"LONG VARCHAR",
	TEXT,	"LONG VARCHAR",
	NCHAR,	CHAR,
	NVARCHAR,	CHAR,
	DATE,	DATE,
	INTERVAL,	DATE,
	"SMALL DATE TIME",	DATE,
	"DATE TIME",	DATE,
	TIMESTAMP,	TIMESTAMP,
	NUMERIC,	NUMERIC,
	REAL,	REAL,
	DECIMAL,	DECIMAL,
	MONEY,	DECIMAL,
	"SMALL MONEY",	DECIMAL,
	"DOUBLE PRECISION",	DOUBLE,
	FLOAT,	FLOAT,
	"SMALL FLOAT",	FLOAT,
	INTEGER,	INT,
INTEGER,	INTEGER,
	ROWID,	INTEGER,
	"LONG INTEGER",	INTEGER,
	"SMALL INTEGER",	SMALLINT,
	BYTE,	SMALLINT,
	TIME,	TIME,
	BINARY,	BINARY,
	"VARIABLE BINARY",	"LONG BINARY",
	"LARGE VARBINARY",	"LONG VARCHAR"

	}
	//---------------------------------------------------------------------------------------------------------------------
	TYPE ALIAS LIST=
	{
	FILED FIELDS=
	{
	MASTER_TYPE,
	NAME
	},
	}
	//---------------------------------------------------------------------------------------------------------------------
	USER FIELD LIST=
	// concept	user fields	def val	type	domain of valid values
	{//-------      ------------  -------	----     ----------------------
	}
}

TEMPLATE DEFINTION=
{
}
